Bug 1285228 - No version filter for Datacenters when adding an openstack volume.
No version filter for Datacenters when adding an openstack volume.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.1
: 3.6.1.1
Assigned To: Daniel Erez
Eyal Shenitzky
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 04:19 EST by Amit Aviram
Modified: 2016-02-10 13:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:28:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: exception+
ylavi: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49167 master MERGED webadmin: provider dialog - filter out unsupported DCs for Cinder Never
oVirt gerrit 49210 ovirt-engine-3.6 MERGED webadmin: provider dialog - filter out unsupported DCs for Cinder Never
oVirt gerrit 49242 ovirt-engine-3.6.1 MERGED webadmin: provider dialog - filter out unsupported DCs for Cinder Never

  None (edit)
Description Amit Aviram 2015-11-25 04:19:00 EST
Description of problem:
When adding an openstack volume, all the datacenters in the system are shown in the datacenters list, regardless of its compatibility version- while some DC versions don't support openstack volumes.


How reproducible:
100%

Steps to Reproduce:
1. have a DC with an old compatibility version (3.5 and less)
2. add an external provider
3. choose openstack volume

Actual results:
The old DC will appear among the DCs in the DC list.

Expected results:
The old DC should not be there, as it doesn't support openstack volumes.
Comment 1 Allon Mureinik 2015-11-26 10:01:41 EST
This is a 3.6.1 bug, the patch needs to be backported to the ovirt-engine-3.6.1 branch.
Returning to POST.
Comment 2 Sandro Bonazzola 2015-12-01 10:07:19 EST
This bug is referenced in git log for ovirt-engine-3.6.1.1.
Please set target release to 3.6.1.1 accordingly unless additional patches are needed.
Comment 3 Eyal Shenitzky 2015-12-20 09:35:10 EST
 Verified with the following code:
------------------------------------------

rhevm-3.6.1.3-0.1.el6

Verified with the following scenario:
------------------------------------------
Steps to reproduce:
------------------------------------------
1. have a DC with an old compatibility version (3.5 and less)
2. add an external provider
3. choose openstack volume

The old Data-center that doesn't support openStack volume isn't appear it the list.

Moving to VERIFIED!
Comment 4 Sandro Bonazzola 2015-12-22 08:28:51 EST
oVirt 3.6.1 has been released and bz verified, moving to closed current release

Note You need to log in before you can comment on or make changes to this bug.